> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/83.-query-collect-platform-context.md).

# 83. Query: platformcontext verzamelen

Bij grote aantallen verwerkte datasets (honderden of duizenden), zoals "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset", enzovoort, is er altijd behoefte aan inzicht in de verwerkingsstatus van elke dataset en aan het verzamelen van verwerkingsoverzichten. Deze informatie is beschikbaar via de `getPlatformContext` query.

Veelvoorkomende toepassingen:

* De voortgang van de verwerking volgen
* Verwerkingsoverzichten en statistieken verzamelen
* Fouten en waarschuwingen tijdens de verwerking bekijken om getroffen datasets nader te onderzoeken

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     optional
   }
 }
}
```

{% endcode %}

Ondersteunde invoerfilters:

* `dateFrom` als datum/tijd in ISO 8601-indeling (bijv. `"2023-05-25T12:49:00.000Z"`)
* `dateTo` als datum/tijd in ISO 8601-indeling (bijv. `"2023-05-30T06:35:00.000Z"`)
* `operationIds` als array met identificatiecodes van bewerkingen (`Strings`)
* `statuses` als array met waarden uit de `ContextEventStatus` enum met alle verwerkingsstatussen, inclusief tussenliggende statussen; het wordt aanbevolen de belangrijkste statussen te gebruiken `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` als array met waarden uit de `TreeNodeEntity` enum met alle GeoPard-entiteiten
* `subFieldUuids` als array met UUID's die zijn gekoppeld aan de geselecteerde entiteiten in `subFieldTypes`
* `userUuids` als array met UUID's van te doorzoeken "User"-objecten

{% hint style="info" %}
Ten minste een van de volgende filters moet zijn ingesteld: `userUuids`, `fieldUuids`, `subFieldUuids`, of `operationIds`.
{% endhint %}

{% hint style="info" %}
Als `dateFrom` en `dateTo` niet zijn opgegeven, is de standaardduur van de query ingesteld op 12 uur. De maximaal aanbevolen periode voor het ophalen van gegevens is 24 uur.
{% endhint %}

{% hint style="info" %}
Er geldt een limiet van maximaal 10.000 geleverde rijen.
{% endhint %}

{% hint style="info" %}
Gebruik het volgende om alle beschikbare actuele waarden van enums te bekijken (zoals: `TreeNodeEntity`, `ContextEventStatus, ContextMessageKey`): het wordt aanbevolen om [Altair](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/getting-started-with-the-geopard-api.md).
{% endhint %}

Het uitvoerobject bevat de volgende kenmerken:

* `fieldUuid` vertegenwoordigt de UUID van het bijbehorende perceel
* `subFieldUuid` duidt de UUID aan van de gekoppelde verwerkte dataset (zoals "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset", enz.)
* `subFieldType` als enum gekoppeld aan `TreeNodeEntity`
* `operationId` als tekenreeks met de identificatiecode van de bewerking. Deze blijft gelijk in alle gerelateerde verwerkingsketens. Het is aan te raden op basis van deze identificatiecode te groeperen om alle verwerkingsfasen te volgen.
* `status` als enum gekoppeld aan `ContextEventStatus`
* `executionDate` als tekenreeks in ISO 8601-indeling die het moment van uitvoering aangeeft
* `messageKey` als enum gekoppeld aan `ContextMessageKey` die de uitkomst van de uitvoering beschrijft
* `optional` als tekenreeks met een technische beschrijving (indien relevant), voornamelijk bedoeld voor foutopsporing en het melden van bugs


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/83.-query-collect-platform-context.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
